Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 206 - dhcpd rpm does not contain a sample config file.
Summary: dhcpd rpm does not contain a sample config file.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 5.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-26 18:43 UTC by craig
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-11 20:54:03 UTC


Attachments (Terms of Use)

Description craig 1998-11-26 18:43:35 UTC
Discovered in Redhat 5.2 Intel and Sparc versions that the
DHCPD rpm does not install or create the sample config file
/etc/dhcpd.conf and the lease file /etc/dhcpd.leases  Not a
big issue for the experanced user to get the source RPM and
pull the config out of there but new users would have had
difficulty with it.

Comment 1 David Lawrence 1998-11-30 00:39:59 UTC
Older releases also did not ship a /etc/dhcp.conf file in the dhcp rpm
package. It is probably a good idea better the documentaion on how to
create one. But it is a bad idea to have a sample one placed directly
in /etc in case the user has it accidently start up on a active
network. May be a dhcpd.conf.sample in /etc or /usr/doc/dhcp-x.x would
be a better choice.

Comment 2 craig 1998-11-30 04:55:59 UTC
I agree with you the default file should be made a
/etc/dhcpd.conf.sample  the default file starting up would be a bad
voo do for most.

Comment 3 Erik Troan 1999-01-11 20:54:59 UTC
I added a /usr/doc/dhcp*/dhcpd.conf.sample file for the next release.


Note You need to log in before you can comment on or make changes to this bug.